// $lightgrey: #F5F5F5;
// $layoutcolor1: #157EC4;
// $layoutcolor2: #176192;

// $grey2: #E5E5E5;
// $grey4: #777;

.uploadfield{
  display: block;
  width: 100%;
  font-size: 14px;
  line-height: 1.428571429;
  color: #555;
  vertical-align: middle;
  text-align: center;
  background-color: #fff;
  background-image: none;
  border: 1px solid #ccc;
  border-radius: 4px;
  -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,0.075);
  box-shadow: inset 0 1px 1px rgba(0,0,0,0.075);
  -webkit-transition: border-color ease-in-out 0.15s,box-shadow ease-in-out 0.15s;
  transition: border-color ease-in-out 0.15s,box-shadow ease-in-out 0.15s;
}

.uploadfield .form-control{border: 0;}
.uploadfield .input-group-addon{border: 0;}
.uploadarea{background-color: #EEEEEE; -webkit-box-shadow: none; -moz-box-shadow: none; box-shadow: none;}
.uploadfield.open .input-group{ border-bottom: 1px solid #BEBCBC;}
.uploadfield .input-group{cursor: pointer;}
.uploadfield.open .input-group-addon{ border-bottom-left-radius: 0;}
.uploadfield.open .filecount{ border-bottom-right-radius: 0;}

.fileload-container{
  position: relative;
  display: block;
}

.fileload{
  position: relative;
  display: block;
  border-collapse: separate;
  border-bottom: 1px solid white;
  width: 100%;
}

.filestate{
  width: calc(100% - 45px);
  display: inline-block;
  margin-bottom: 0;
  height: 34px;
  font-size: 14px;
  color: #555;
  background-color: #fff;
  vertical-align: middle;
  overflow: hidden;
}

.filedestroy{
  padding: 6px 12px;
  font-size: 14px;
  font-weight: normal;
  line-height: 1;
  color: #555;
  text-align: center;
  width: 39px;
  white-space: nowrap;
  vertical-align: middle;
  display: inline-block;
  cursor: pointer;
}

.filestate a{ display: block; height: 34px; text-decoration: none; color: #555;}
.filestate .icon{
  padding: 6px 12px;
  position: absolute;
  top: 0;
  left: 0;
}
.filestate .filetext{
  margin-left: 45px;
  height: 34px;
  padding: 7px 0;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.filestate a:hover .icon{
  color: $layoutcolor1;
}

.filedestroy:hover{ color: $layoutcolor1;}

.fileload:hover{
  border-bottom: 1px solid $layoutcolor1;
}

.navuploadicon{
  animation-name:navuploadicon;
  animation-duration:0.5s;
  animation-timing-function:linear;
  animation-delay:0s;
  animation-iteration-count:infinite;
  animation-direction:alternate;
  animation-play-state:running;
  /* Safari and Chrome: */
  -webkit-animation-name:navuploadicon;
  -webkit-animation-duration:0.5s;
  -webkit-animation-timing-function:linear;
  -webkit-animation-delay:0s;
  -webkit-animation-iteration-count:infinite;
  -webkit-animation-direction:alternate;
  -webkit-animation-play-state:running;
}

@keyframes navuploadicon{
  0%   {color:$grey4}
  25%  {color:$grey4}
  50%  {color:$layoutcolor1}
  75%  {color:$layoutcolor1}
  100% {color:$layoutcolor1}
}

@-webkit-keyframes navuploadicon{
  0%   {color:$grey4}
  25%  {color:$grey4}
  50%  {color:$layoutcolor1}
  75%  {color:$layoutcolor1}
  100% {color:$layoutcolor1}
}

.dropdown-menu.filedropdown{
  width: 300px;
  padding-top: 0px;
  padding-bottom: 0px;
}


.filewidget{
  width: 100%;
  height: auto;
  border-bottom: 1px solid $grey2;
}

.filewidget.clear{
  border-bottom: 0;
}

.filewidget.clear .fileheader{
  display: none;
}

.filewidgetnav.clear{
  display: none;
}

.filebody{
  background-color: white;
  max-height: 275px;
  overflow: hidden;
}

.filerow{
  border-bottom: 1px solid $grey3;
  height: 55px;
  width: 100%;
  overflow: hidden;
}

.filerow .left{
  float: left;
  width: calc(100% - 30px);
  padding-top: 5px;
  padding-bottom: 5px;
  padding-left: 10px;
  height: 100%;
}

.filerow .right{
  float: left;
  width: 30px;
  padding-top: 5px;
  height: 100%;
}

.filerow .right .glyphicon{float: right; cursor: pointer;}

.fileheader{
  background-color: $lightgrey;
  padding-left: 10px;
  padding-top: 8px;
  padding-bottom: 8px;
  width: 100%;
  font-size: 18px;
}

.fileheader span{
  margin-right: 10px;
  color: $grey4;
}

.filedropdown .fileheader span{
  color: white;
}

.fileheader span.badge{
  color: white;
  float: right;
  margin-top: 2px;
  background-color: $layoutcolor1;
}

.filerow .filesize{
  margin-top: 10px;
  float: right;
  width: 60px;
  overflow: hidden;
  height: 20px;
  text-align: right;
}

.filerow .filename{
  margin-top: 10px;
  overflow: hidden;
  height: 20px;
  width: calc(100% - 60px);
  float: left;
}

.ProgressContainer {
  width: 100%;
  height: 12px;
  background: #F8F8F8;
  border: 1px solid #E8E8E8;
  border-top: 1px solid #D8D8D8;
  margin-top: 22px;

  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  // padding: 2px;
}

.ProgressBar {
  height: 100%;
  width: 0%;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  background: -webkit-gradient( linear, left top, left bottom, from($layoutcolor1), color-stop(0.50, #298ED1), to($layoutcolor2));
}

.navbar-fixed-bottom .dropdown-menu.filedropdown{
  margin-bottom: 10px !important;
  color: white;
}

.navbar-fixed-bottom .dropdown-menu.filedropdown .fileheader{ background-color: transparent;}

// .imageuploaditem{min-height: 100px; text-align: center;}

.uploadimagefield{
  min-height: 100px;
  width: 100%;
  cursor: pointer;
}

.imageuploadplaceholder{
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  position: relative;
  overflow: hidden;
  border: #edece4 3px dashed;
  width: 100%;
  min-height: 100px;
  height: 100%;
  text-align: center;
  color: #aaa9a2;
  background: #F9F8F5;
  vertical-align: middle;
  margin: auto;
}

.imageuploaditem{
  text-align: center;
  width: 100%;
  min-height: 100px;
  position: relative;
}

.imagewarning{
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  height: 85px;
}

.imageuploadimage{max-width: 100%; position: relative; border: 1px solid lightgrey;}
.uploadimg{
  font-size: 30px !important;
  color: #E7E6DB;
  height: 35px;
}

.imageupload-delete{
  margin-top: 15px;
  text-align: left;
}

/**
  Multi-Image
**/

.multiimage {
  $height: 106px;
  $width: 106px;
  $icon-color: #aaa9a2;
  $icon-size: 30px !important;

  display: inline-block;
  min-width: 100%;

  .placeholder {
    float: left;
    cursor: pointer;
    border: #edece4 3px dashed;
    margin: 4px;
    width: $width;
    height: $height;
    color: $icon-color;
    background: #F9F8F5;

    .icon {
      font-size: $icon-size;
      position: relative;
      top: 29px;
      width: 100%;
      text-align: center;
      margin: 0 auto;
    }
  }

  .image {
    float: left;
    position: relative;
    background-size: cover;
    background-position: center;
    border: 1px solid lightgrey;
    margin: 4px;
    height: $height;
    width: $width;
    overflow: hidden;

    .hover-box {
      width: 100%;
      height: 100%;
      background-color: rgba(0,0,0,0.1);

      display: none;

      @mixin icon {
        cursor: pointer;
        color: $icon-color;
        float: left;
        font-size: $icon-size;
        position: relative;
        top: 29px;
        width: 50%;
        text-align: center;
        margin: 0 auto;
      }

      .download-icon {
        @include icon;
        &:hover { color: $layoutcolor1; }
      }

      .remove-icon {
        @include icon;
        &:hover { color: red; }
      }
    }
  }

  .image:hover > .hover-box{
    display: block;
  }

  .loader {
    float: left;
    position: relative;
    height: $height;
    width: $width;

    img {
      position: absolute;
      margin: auto;
      top: 0;
      right: 0;
      bottom: 0;
      left: 0;
    }
  }

}





